Bug 1263824 - complete system lockup when returning from sleep/standby
complete system lockup when returning from sleep/standby
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 15:42 EDT by Dan Mossor [danofsatx]
Modified: 2016-12-20 09:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:39:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -b -8 -n 800 | grep -v avahi (54.88 KB, text/plain)
2015-09-16 15:42 EDT, Dan Mossor [danofsatx]
no flags Details
journal from resume to reboot (15.65 KB, text/plain)
2015-09-16 20:41 EDT, Dan Mossor [danofsatx]
no flags Details
journalctl -b -1 -k --since 13:23 (24.18 KB, text/x-vhdl)
2015-09-28 15:02 EDT, Dan Mossor [danofsatx]
no flags Details
Latest log from F23 (341.04 KB, text/plain)
2015-10-19 20:37 EDT, Dan Mossor [danofsatx]
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92504 None None None Never

  None (edit)
Description Dan Mossor [danofsatx] 2015-09-16 15:42:40 EDT
Created attachment 1074177 [details]
journalctl -b -8 -n 800 | grep -v avahi

xorg-x11-drv-nouveau-1.0.11-2.fc22.x86_64
plasma-workspace-5.4.0-6.fc22.1.x86_64
kernel-4.1.6-201.fc22.x86_64

When resuming system operation from sleep or standby, the system will operate normally for approximately 5 minutes before a complete system lockup occurs. alt-f2 will not bring up krunner in Plasma, and ctrl-alt-f(x) will not switch tty terminals. I have not been in a location yet that would allow me to attempt to ssh into the system, but I should be able to get information that way this evening.

The only information I can get out of it so far is the attached journal output - it is the last 800 lines of the journal, minus 245 unrelated avahi entries.
Comment 1 Dan Mossor [danofsatx] 2015-09-16 20:40:21 EDT
Was able to ssh into the system this time after the lockup. This time, it only took 38 seconds for it to lock up.

The mouse cursor is still visible and moves around the screen, but nothing is clickable, and no input is processed from the keyboard. I am attaching the full journal from when it resumed until it eventually rebooted - the log shows that the reboot instruction was not processed immediately, either. It took 00:02:31
for the system to finally shutdown - too many processes were hung.
Comment 2 Dan Mossor [danofsatx] 2015-09-16 20:41:06 EDT
Created attachment 1074230 [details]
journal from resume to reboot
Comment 3 Dan Mossor [danofsatx] 2015-09-28 15:02 EDT
Created attachment 1078043 [details]
journalctl -b -1 -k --since 13:23

Kernel logs since resume from standby.
Comment 4 Dan Mossor [danofsatx] 2015-10-19 20:37:10 EDT
This is still happening in F23.

xorg-x11-drv-nouveau-1.0.12-0.3.fc23.x86_64
plasma-workspace-5.4.2-4.fc23.x86_64

Can someone please take this? I may be forced to either use the proprietary drivers or switch to a different DE. I like nouveau - when it works - and I think Plasma is the best DE out there. I don't want to switch either, but if I can't use my laptop as designed, then....
Comment 5 Dan Mossor [danofsatx] 2015-10-19 20:37 EDT
Created attachment 1084564 [details]
Latest log from F23
Comment 6 Dan Mossor [danofsatx] 2015-10-20 20:37:42 EDT
Ilia Mirkin over at freedesktop.org seems to have found the root of this problem. When can we get it pulled into Fedora?

http://lists.freedesktop.org/archives/nouveau/2015-October/022732.html
Comment 7 Jxanti.jx 2015-11-26 10:23:52 EST
NVidia GTX 750/Ti Video card with Fedora23 Workstation freezes after login.

Knowing I have problems with this card I installed Workstation using
the onboard VGA. That works good.

Than I switched back via the BIOS to the NVidia Card in PCI. Using DVI-D-1.
Starting workstation, I cannot come further than a first login:
All three possibilities GNOME, GNOME in Wayland and GNOME classic, the system freezes after the first login.

I work with a Lenovo Thinkstation E32 and monitor Thinkvision LT2252P (1680x1050)
(using VGA or DVI-D) 

This problem does not occur with Fedora 23 Mate. 
Surprisingly Mate accepts the NVidia card.

For workstation and mate the nouveau driver used is:
XORG-X11-drv-nouveau- 1.0.12-0.3.FC23 X86_64,
Linux kernel 4.2.6-300 FC23.

Is there a solution for this problem?
Comment 8 Christian Stadelmann 2016-04-02 05:35:00 EDT
You can try enabling SysRQ by adding the line `kernel.sysrq = 244` in /etc/sysctl.d/sysrq.conf (see documentation at [1]). If you can SAK (SysRQ key + k), you could kill all applications on the current tty. This way you can at least run a shell or relogin without killing (forced power off) linux.

[1] https://www.kernel.org/doc/Documentation/sysrq.txt
More info: https://en.wikipedia.org/wiki/Magic_SysRq_key
Comment 9 Fedora End Of Life 2016-11-24 07:31:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 09:39:19 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.